/**
 * Code adapted from https://github.com/jgh9094/ECJ-2022-suite-of-diagnostics-for-selection-schemes/ by Jose Hernandez
*/
#pragma once

#include <algorithm>
#include "BaseDiagnostic.hpp"

namespace diag {

struct ExploitationRateDiagnostic : public BaseDiagnostic {
  using phenotype_t = emp::vector<double>;
  using genotype_t = emp::vector<double>;

  ExploitationRateDiagnostic(double targ, double err_cred)
    : BaseDiagnostic(targ, err_cred)
  { ; }
  ExploitationRateDiagnostic() = default;

  phenotype_t Translate(const genotype_t& genome) const {
    return genome;
  }

  void Translate(const genotype_t& genome, phenotype_t& phenotype) const {
    phenotype.resize(genome.size());
    std::copy(
      genome.begin(),
      genome.end(),
      phenotype.begin()
    );
  }

};

}